Skip to main content
POST
Update a Billing Plan

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The id or the vid of the billing plan to retrieve A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Body

application/json

JSON - This request supports the same arguments as ‘create’ (a full Billing Plan object) excepting the behavior of the id; providing an id or vid in the URL indicates to Subscribe that this is an update, not a create – as such, id and vid cannot be updated.

object
enum<string>

Value is "BillingPlan"

Available options:
BillingPlan
id
string

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
created
string<datetime>

The date and time the plan was created.

description
string

A CSP-specified description of this offering.

status
enum<string>

CSPs may define whether they want to declare a plan as available to offer. Values can be Active,Suspended

Available options:
Active,
Suspended
tax_classification
string

The tax classification or code to be used with any plan-level charges.

br_tax_category
string

enum(Category)

trial
object

Optionally declares an initial trial period for this plan.

periods
object[]

Defines the sequential billing periods in the plan, each with its own billing schedule and terms.

billing_notification_days
integer

Number of days prior to schedule billing at which CashBox will send email notification.

trial_end_notification_days
integer

For the trial period, this replaces billing_notification_days, indicating the number of days prior to end of a trial to send the trial end email.

skip_initial_billing_notification
boolean

Determines whether to send a billing notification for the initial period.

end_of_life
string<datetime>

The date after which the plan should not be offered.

metadata
object

Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.

The metadata field supports key-value pairs with the following limitations:

Keys can be up to 256 characters

Keys can be any string that is needed, except only CashBox can prefix keys with vin:

Values can be up to 1024 characters

In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.

entitlements
object[]

Entitlements granted by active subscriptions on this plan.

billing_descriptor
string

Optional “soft descriptor” to send to the payment processor for transactions associated with a subscription using this billing plan.

grace_period_override
integer

Number of days after the billing date when, if payment is not received, the Subscription is stopped and the customer is disentitled; overrides the global CSP default setting, if both are set.

minimum_commitment
integer

Number of billing cycles the customer is contractually obligated to complete before cancelling. The only impact this has is upon the cancelling a Subscription.

cancel_fees
object

List of early cancel fees for various currencies.

times_to_run
string

The number of times the sequence of Billing Periods should be repeated. Valid input includes positive integers (Default is null).

entitlements_valid_for
string

The length of time for which Entitlements are valid after the last Billing date (Default is null).

repeat_every
string

If a Billing Period set repeats, this value defines the length of time after the first billing that the set should repeat.

season_set
object

The SeasonSet to which the Billing Plan applies. (May be null.)

days_before_season_to_bill
integer

Optional setting when using a season set to control the integer number of days before a season starts to bill.

days_entitled_before_season
integer

Optional setting when using a season set to control the integer number of days customer is entitled before a season starts

days_entitled_after_season
integer

Optional setting when using a season set to control the integer number of days after a season ends a customer remains entitled.

entitled_off_season
boolean

Optional setting when using a season set to continue entitling customer between seasons.

used_on_subscriptions
boolean

Signifies if Billing Plan has been used on an Active Subscription

Response

JSON A full Billing Plans object.

object
enum<string>

Value is "BillingPlan"

Available options:
BillingPlan
id
string

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
created
string<datetime>

The date and time the plan was created.

description
string

A CSP-specified description of this offering.

status
enum<string>

CSPs may define whether they want to declare a plan as available to offer. Values can be Active,Suspended

Available options:
Active,
Suspended
tax_classification
string

The tax classification or code to be used with any plan-level charges.

br_tax_category
string

enum(Category)

trial
object

Optionally declares an initial trial period for this plan.

periods
object[]

Defines the sequential billing periods in the plan, each with its own billing schedule and terms.

billing_notification_days
integer

Number of days prior to schedule billing at which CashBox will send email notification.

trial_end_notification_days
integer

For the trial period, this replaces billing_notification_days, indicating the number of days prior to end of a trial to send the trial end email.

skip_initial_billing_notification
boolean

Determines whether to send a billing notification for the initial period.

end_of_life
string<datetime>

The date after which the plan should not be offered.

metadata
object

Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.

The metadata field supports key-value pairs with the following limitations:

Keys can be up to 256 characters

Keys can be any string that is needed, except only CashBox can prefix keys with vin:

Values can be up to 1024 characters

In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.

entitlements
object[]

Entitlements granted by active subscriptions on this plan.

billing_descriptor
string

Optional “soft descriptor” to send to the payment processor for transactions associated with a subscription using this billing plan.

grace_period_override
integer

Number of days after the billing date when, if payment is not received, the Subscription is stopped and the customer is disentitled; overrides the global CSP default setting, if both are set.

minimum_commitment
integer

Number of billing cycles the customer is contractually obligated to complete before cancelling. The only impact this has is upon the cancelling a Subscription.

cancel_fees
object

List of early cancel fees for various currencies.

times_to_run
string

The number of times the sequence of Billing Periods should be repeated. Valid input includes positive integers (Default is null).

entitlements_valid_for
string

The length of time for which Entitlements are valid after the last Billing date (Default is null).

repeat_every
string

If a Billing Period set repeats, this value defines the length of time after the first billing that the set should repeat.

season_set
object

The SeasonSet to which the Billing Plan applies. (May be null.)

days_before_season_to_bill
integer

Optional setting when using a season set to control the integer number of days before a season starts to bill.

days_entitled_before_season
integer

Optional setting when using a season set to control the integer number of days customer is entitled before a season starts

days_entitled_after_season
integer

Optional setting when using a season set to control the integer number of days after a season ends a customer remains entitled.

entitled_off_season
boolean

Optional setting when using a season set to continue entitling customer between seasons.

used_on_subscriptions
boolean

Signifies if Billing Plan has been used on an Active Subscription